Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.sound.midi.spi
Class SoundbankReader

    java.lang.Object
      |
      +--javax.sound.midi.spi.SoundbankReader

public abstract class SoundbankReader
extends Object

A `SoundbankReader` supplies soundbank file-reading services. Concrete subclasses of `SoundbankReader` parse a given soundbank file, producing a `Soundbank` object that can be loaded into a `Synthesizer`.

Since:
  1.3

Constructor Summary
`SoundbankReader()`

Method Summary
`abstract Soundbank` | `getSoundbank(File file)` Obtains a soundbank object from the `File` provided.
`abstract Soundbank` | `getSoundbank(InputStream stream)` Obtains a soundbank object from the `InputStream` provided.
`abstract Soundbank` | `getSoundbank(URL url)` Obtains a soundbank object from the URL provided.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SoundbankReader

    public SoundbankReader()

Method Detail

### getSoundbank

    public abstract Soundbank getSoundbank(URL url)
                                    throws InvalidMidiDataException,
                                           IOException

  Obtains a soundbank object from the URL provided.
  Parameters:
    `url` - URL representing the soundbank.
  Returns:
    soundbank object
  Throws:
    `InvalidMidiDataException` - if the URL does not point to valid MIDI soundbank data recognized by this soundbank reader
    `IOException` - if an I/O error occurs

### getSoundbank

    public abstract Soundbank getSoundbank(InputStream stream)
                                    throws InvalidMidiDataException,
                                           IOException

  Obtains a soundbank object from the `InputStream` provided.
  Parameters:
    `stream` - `InputStream` representing the soundbank
  Returns:
    soundbank object
  Throws:
    `InvalidMidiDataException` - if the stream does not point to valid MIDI soundbank data recognized by this soundbank reader
    `IOException` - if an I/O error occurs

### getSoundbank

    public abstract Soundbank getSoundbank(File file)
                                    throws InvalidMidiDataException,
                                           IOException

  Obtains a soundbank object from the `File` provided.
  Parameters:
    `file` - the `File` representing the soundbank
  Returns:
    soundbank object
  Throws:
    `InvalidMidiDataException` - if the file does not point to valid MIDI soundbank data recognized by this soundbank reader
    `IOException` - if an I/O error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.